Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.core.qms
Enum RequestStatus

    java.lang.Object
      java.lang.Enum<RequestStatus>
          lbg.peer.core.qms.RequestStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestStatus>

    public enum RequestStatus

extends java.lang.Enum<RequestStatus>

Author:
  Cyril Briquet

Enum Constant Summary
`LOCAL_BOT_COMPLETED`
`LOCAL_JOB_COMPLETED`
`LOCAL_TASK_COMPLETED`
`SUPPLYING_TASK_COMPLETED`
`TASK_DISCARDED`

Method Summary
`static RequestStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL_TASK_COMPLETED

    public static final RequestStatus LOCAL_TASK_COMPLETED

### LOCAL_BOT_COMPLETED

    public static final RequestStatus LOCAL_BOT_COMPLETED

### LOCAL_JOB_COMPLETED

    public static final RequestStatus LOCAL_JOB_COMPLETED

### SUPPLYING_TASK_COMPLETED

    public static final RequestStatus SUPPLYING_TASK_COMPLETED

### TASK_DISCARDED

    public static final RequestStatus TASK_DISCARDED

Method Detail

### values

    public static final RequestStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RequestStatus c : RequestStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RequestStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.